Subject: Re: bug#31489: 25.3; Dired unable to open directory "/ssh:example.com"

From: Christoph Michelbach <[email-masked]>
Date: Mon, 21 May 2018 14:59:04 +0200

Can't the problems be avoided by establishing that paths to tramp paths can't
start with two slashes?

To paths on Unix-like systems, you can add more slashes. So with that rule in
place, the user could simply start weird paths with two slashes and dired could
be changed to just add another slash to the beginning of the path if the file
the user hit enter on is in "/".

The path "/ssh:example.com:" would be passed to other functions as
"//ssh:example.com:". When Emacs asks the OS to access "//ssh:example.com:",
it's just the same as if it asked it to access "/ssh:example.com:".